%define upstream_name    Apache-Reload
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Reload Perl Modules when Changed on Disk
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Apache2/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: apache-mod_perl >= 2.04
BuildRequires: apache-devel
BuildRequires: perl(Apache::TestConfig)

BuildArch: noarch

%description
This module is two things. First it is an adaptation of Randal Schwartz's
Stonehenge::Reload module that attempts to be a little more intuitive and
makes the usage easier. Stonehenge::Reload was written by Randal to make
specific modules reload themselves when they changed. Unlike
Apache::StatINC, Stonehenge::Reload only checked the change time of modules
that registered themselves with Stonehenge::Reload, thus reducing stat()
calls. Apache::Reload also offers the exact same functionality as
Apache::StatINC, and is thus designed to be a drop-in replacement.
Apache::Reload only checks modules that register themselves with
Apache::Reload if you explicitly turn off the StatINC emulation method (see
below). Like Apache::StatINC, Apache::Reload must be installed as an Init
Handler.

StatINC Replacement
    To use as a StatINC replacement, simply add the following configuration
    to your httpd.conf:

      PerlInitHandler Apache::Reload

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
export APACHE_TEST_HTTPD=/usr/sbin/httpd
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Jan 24 2011 jquelin <jquelin> 0.110.0-2.mga1
+ Revision: 37519
- no need to remove the requires:, now provided by apache-mod_perl
- rebuild
- adding requires exception

* Mon Jan 24 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 37317
- adding missing buildrequires:
- mageia rebuild
- cleaning spec file
- imported package perl-Apache-Reload


* Mon Aug 23 2010 Jérôme Quelin <jquelin@mandriva.org> 0.110.0-1mdv2011.0
+ Revision: 572215
- update to 0.11

* Thu Aug 13 2009 Jérôme Quelin <jquelin@mandriva.org> 0.100.0-1mdv2011.0
+ Revision: 415950
- rebuild using %%perl_convert_version

* Wed Aug 12 2009 Buchan Milne <bgmilne@mandriva.org> 0.10-1mdv2010.0
+ Revision: 415757
- imported package perl-Apache-Reload


* Wed Aug 12 2009 cpan2dist 0.10-1mdv
- initial mdv release, generated with cpan2dist

